# Mageia's configure macro needs to be overridden until
# the configure macros are unified.
# See: https://bugs.mageia.org/show_bug.cgi?id=19902
%{?configure2_5x: %global configure %configure2_5x}

# Fix platform definitions so slibtool build scripts can find binaries
# Matches what's in the gcc packaging
%ifnarch %{arm}
%global _gnu %{nil}
%else
%global _gnu -gnueabi
%endif
%global _host %{_target_platform}
%global _build %{_target_platform}

Name:           slibtool
Version:        0.5.19
Release:        0%{?dist}.2
Summary:        A skinny libtool implementation, written in C
Group:          Development/Tools
License:        MIT
URL:            http://git.midipix.org/cgit.cgi/slibtool
Source0:        http://midipix.org/dl/slibtool/%{name}-%{version}.tar.xz

# From upstream, add support for more standard buildopts
Patch0:         slibtool-0.5.19-sofort-buildopts.diff

BuildRequires:  gcc, make

%description
'slibtool' is an independent reimplementation of the widely used libtool,
written in C. 'slibtool' is designed to be a clean, fast, easy-to-use
libtool drop-in replacement, and is accordingly aimed at package authors,
distro developers, and system integrators. 'slibtool' maintains compatibility
with libtool in nearly every aspect of the tool's functionality as well as
semantics, leaving out (or turning into a no-op) only a small number of
features that are no longer needed on modern systems.

Being a compiled binary, and although not primarily written for the sake of
performance, building a package with 'slibtool' is often faster than with its
script-based counterpart. The resulting performance gain would normally vary
between packages, and is most noticeable in builds that invoke libtool a large
number of times, and which are characterized by the short compilation duration
of individual translation units.


%prep
%autosetup -p1


%build
%configure
%make_build


%install
%make_install


%files
%license COPYING.SLIBTOOL
%doc README NEWS THANKS CONTRIB
%{_bindir}/{c,d,s}libtool*


%changelog
* Thu Jun 07 2018 Neal Gompa <ngompa13@gmail.com> - 0.5.19-0.2
- Use configure macro, set up target platform overrides to detect properly

* Sun Jun 03 2018 Neal Gompa <ngompa13@gmail.com> - 0.5.19-0.1
- Initial packaging
